The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Unable to install the Required PHP Data Objects (PDO) of Drupal on CPanel

Discussion in 'General Discussion' started by Jock IT, Sep 14, 2011.

  1. Jock IT

    Jock IT Registered

    Joined:
    Sep 14, 2011
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hello i am a very new user to Cpanel and i am having great difficulty installing my Drupal because of the seemingly unavaliblility of PHP Data Objects (PDO), PDO's are unfortuneately a required component for Drupal and I cannot seem to be able to install them!! :(
    if anyone could help me who knows about these i would apreciate beyond anything.

    I feel a little over my head with all of this as this is my first site to install and my very first time working with drupal.

    :( drupal problems - cpanel - pdo.jpg
     
  2. Jock IT

    Jock IT Registered

    Joined:
    Sep 14, 2011
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Re: Unable to install the Required PHP Data Objects (PDO) of Drupal on CPan

    this is what it says when i try to install the only reference to PDO's:

    Failed to download pear/Structures_DataGrid within preferred state "stable", latest release is version 0.9.1dev1, stability "beta", use "channel://pear.php.net/Structures_DataGrid-0.9.1dev1" to install
    pear/Structures_DataGrid_DataSource_PDO requires package "pear/Structures_DataGrid" (version >= 0.8.4)
    No valid packages found
    install failed
    /usr/local/jdk/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/lib/courier-imap/sbin:/usr/lib/courier-imap/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/X11R6/bin:/root/bin:/opt/bin

    what do i do about this?
     
  3. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Unable to install the Required PHP Data Objects (PDO) of Drupal on CPan

    Have you run EasyApache (Apache Update) in WHM and enabled the PDO options in there under PHP's Exhaustive Options list? This would be the normal method to enable PDO and PDO MySQL
     
  4. Jock IT

    Jock IT Registered

    Joined:
    Sep 14, 2011
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Re: Unable to install the Required PHP Data Objects (PDO) of Drupal on CPan

    Oh Hello Tristan

    thank you very much for your reply but do u think that you could tell me how to do this in a little bit more of a detailed instruction list... as in how to do you run easy apanche and how to u get whm set up within the Cpanel log in as in the actual webdevelopment update directory?
     
  5. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Unable to install the Required PHP Data Objects (PDO) of Drupal on CPan

    Hello Jock IT,

    If you don't have WHM access and, since your access level shows as website owner you likely don't, your hosting provider will need to enable these options for you. Simply contact them to make that request.

    Thanks!
     
Loading...

Share This Page